/* ==========================================================================
   PAPER — svadba taklifnomasi uchun stil fayli
   Faqat #paper konteyneriga tegishli va sahifada haqiqatan
   ishlatiladigan qoidalar qoldirilgan (Joomla shablon/admin CSS olib tashlandi)
   ========================================================================== */

@font-face {
  font-family: "History";
  src: url(../fonts/CORMORANTSC-REGULAR.TTF);
  font-style: normal;
  font-weight: normal;
}

@font-face {
  font-family: "Source";
  src: url(../fonts/Source.ttf);
  font-style: normal;
  font-weight: normal;
}

* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.site {
  margin: 0;
  padding: 0;
}

/* ---- Umumiy minimal reset (sahifa uchun zarur) ---- */
body {
  text-rendering: auto;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  margin: 0 !important;
  padding: 0 !important;
}
img {
  display: block;
  max-width: 100%;
  height: auto;
}
.row {
  --bs-gutter-x: 1.875rem;
}
.container {
  padding: 0;
}

/* ---- #paper asosiy o'zgaruvchilar ---- */
#paper {
  --background-color: #8ea392;
  --headerLIGHT-color: #e0e0e1; /* zangori fonda ochroq matn uchun */
  --text-color: #050505; /* fon bo'lmagan joylarda matn rangi */
  --secondary-textBG-color: #050505; /* standart yashil fonda matn rangi */
  --main-font: "History", sans-serif; /* asosiy shrift */
  --beauty-font: "History", sans-serif; /* sarlavhalar uchun shrift */
  --secondary-font: "History", sans-serif; /* ikkinchi shrift */
  --source: "Source", sans-serif; /* ikkinchi shrift */
}

.date-main {
  font-size: 24px;
}

#paper {
  font-family: var(--secondary-font);
  font-size: 24px;
  line-height: 120%;
  color: var(--text-color);
  overflow: hidden;
}
#paper .title_text {
  font-family: var(--beauty-font);
  font-size: 36px;
  line-height: 120%;
  color: var(--text-color);
}
#paper .descr_text {
  font-family: var(--secondary-font);
  font-size: 24px;
  line-height: 120%;
  color: var(--text-color);
}
#paper .info-invitation {
  margin: 0 20px;
}
.wedding-day {
  color: var(--text-color);
  background-position: center center;
  background: azure;
  border-radius: 50%;
  width: 36px;
  height: 36px;
  font-size: 20px;
  display: flex;
  justify-content: center;
  align-items: center;
}
#paper #plan,
#paper .dresscode,
#paper .details,
#paper .rsvp,
#paper .question,
#paper .counter,
#paper .footer,
#paper .places,
#paper .info-date,
#paper #music,
#paper .header {
  max-width: 600px;
  margin: auto;
}
.header-text-small {
  text-align: center;
  margin: 16px 0;
}
#paper .header-blocks-texts {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  position: relative;
  height: 150vh;
  padding: 10vh 0;
  align-items: center;
}
#paper .header-block-center {
  font-family: var(--beauty-font);
  font-size: 32px;
  line-height: 120%;
  text-align: center;
}
#paper .header-img {
  position: absolute;
  z-index: -1;
  top: 50%;
  transform: translate(0px, -50%);
}
#paper .header-blocks {
  position: relative;
}
#paper .header {
  height: 150vh;
}
#paper .header-block-top,
#paper .header-block-bottom {
  text-transform: uppercase;
}
#paper #playButton {
  cursor: pointer;
  max-width: 100px;
  width: 15%;
  margin: auto;
}
#paper .title_text-BG {
  font-family: var(--beauty-font);
  font-size: 22px;
  line-height: 130%;
  color: var(--secondary-textBG-color);
}
#paper .descr_text-BG {
  font-family: var(--main-font);
  font-size: 16px;
  line-height: 120%;
  color: var(--secondary-textBG-color);
}
#paper h3 {
  font-size: 16px;
  text-transform: uppercase;
  font-family: var(--main-font);
  padding-bottom: 5px;
  padding-top: 10px;
}
#paper .date-calendar table {
  margin: auto;
  color: var(--secondary-textBG-color);
}
#paper tbody,
#paper td,
#paper tfoot,
#paper th,
#paper thead,
#paper tr {
  border-color: inherit;
  border-style: solid;
  border-width: 0;
  padding: 5px 8px;
  font-size: 14px;
  text-transform: uppercase;
  font-family: var(--main-font);
}
#paper .info-date {
  padding: 20px 0;
  width: 90%;
  margin: auto;
  max-width: 600px;
  text-align: center;
}
#paper .info-invitation {
  background: var(--background-color);
  border-radius: 15px;
  padding: 50px 20px;
}
#paper #welcome-text {
  text-align: center;
  font-size: 14px;
  padding: 20px 0;
}
#paper .right-title-bg,
#paper .left-title-bg {
  position: relative;
  height: 200px;
}
#paper .right-img-bg {
  position: absolute;
  top: 50%;
  z-index: -1;
  transform: translate(0, -50%);
}
#paper .left-img-bg {
  position: absolute;
  top: 50%;
  z-index: -1;
  transform: translate(0, -50%);
}
#paper .title__header {
  position: relative;
  top: 100px;
  transform: translate(0, -50%);
  text-align: right;
  padding-right: 10%;
}
#paper .left-title-bg .title__header {
  text-align: left;
  padding-left: 10%;
}
#paper .info-date__place,
#paper .rsvp-block,
#paper .question__bloks {
  width: 90%;
  max-width: 600px;
  margin: auto;
}
#paper .question__bloks {
  padding: 0 0 70px;
}
#paper #place-one {
  text-align: right;
}
#paper #place-two {
  text-align: left;
}
#paper .registration_title_text,
#paper .banquet_title_text {
  text-transform: uppercase;
}
#paper .timetable__block {
  display: flex;
  flex-direction: column;
  width: 90%;
  max-width: 600px;
  margin: auto;
  gap: 10px;
}
#paper .timetable__block-stroke {
  background: var(--background-color);
  padding: 10px 20px;
  display: flex;
  align-items: center;
  border-radius: 10px;
  width: 100%;
}
#paper .timetable__block-texts {
  text-align: left;
  border-left: 1px solid var(--headerLIGHT-color);
  margin-left: 10px;
  padding: 10px 0px 10px 10px;
}
#paper .timetable__block-time {
  font-size: 18px;
  color: var(--headerLIGHT-color);
}
#paper .timetable__block-name {
  font-size: 16px;
  color: var(--headerLIGHT-color);
  line-height: 100%;
  padding-bottom: 10px;
}
#paper .timetable__block-descr {
  font-size: 16px;
  line-height: 120%;
  font-family: var(--source);
}
#paper .dresscode_common {
  width: 90%;
  max-width: 600px;
  margin: auto;
  padding: 30px 0 200px;
}
#paper .dresscode__colors {
  display: flex;
  justify-content: center;
  gap: 5px;
  padding: 30px 0;
}
#paper .dresscode__color {
  max-height: 30px;
  border-radius: 5px;
  max-width: 30%;
}
#paper .dresscode_descr_text {
  text-align: right;
}
#paper .details-block {
  width: 90%;
  max-width: 600px;
  margin: 0 auto 70px;
  background: var(--background-color);
  border-radius: 20px;
  padding: 5px 20px;
}
#paper .details-block-left {
  text-align: left;
}
#paper .details__text {
  margin: 25px 0;
}
input[type="text"]:not(.form-control),
input[type="email"]:not(.form-control),
input[type="url"]:not(.form-control),
input[type="date"]:not(.form-control),
input[type="password"]:not(.form-control),
input[type="search"]:not(.form-control),
input[type="tel"]:not(.form-control),
input[type="number"]:not(.form-control),
select:not(.form-select):not(.form-control) {
  display: block;
  width: 100%;
  padding: 0.5rem 0.5rem !important;
  font-size: 1rem;
  line-height: 1.25;
  color: #495057;
  background-color: #fff;
  background-image: none;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  border-radius: 0.25rem;
  transition:
    border-color ease-in-out 0.15s,
    box-shadow ease-in-out 0.15s;
}
input[type="text"],
input[type="date"],
input[type="time"],
textarea,
select,
input[type="url"] {
  width: calc(100% - 12px);
  padding: 8px;
  margin-bottom: 10px;
  border: 1px solid #ccc;
  border-radius: 3px;
  box-sizing: border-box;
}
#paper input[type="text"]:not(.form-control),
#paper input[type="email"]:not(.form-control),
#paper input[type="url"]:not(.form-control),
#paper input[type="date"]:not(.form-control),
#paper input[type="password"]:not(.form-control),
#paper input[type="search"]:not(.form-control),
#paper input[type="tel"]:not(.form-control),
#paper input[type="number"]:not(.form-control),
#paper select:not(.form-select):not(.form-control) {
  border: 0px;
  border-bottom: 1px solid #333;
  border-radius: 0;
  width: 100%;
  text-align: right;
  text-transform: uppercase;
  font-size: 12px;
  line-height: 14px;
  background: none;
}
#paper .rsvp_descr_text {
  text-align: right;
  margin-bottom: 50px;
}
#paper .rsvp__buttons {
  display: flex;
  justify-content: center;
  gap: 10px;
  margin-top: 24px;
}
.question__form {
  margin-top: 16px;
}
#paper .rsvp__buttons button,
#paper .rsvp__button {
  background-color: var(--background-color);
  color: white;
  border-radius: 5px;
  text-transform: uppercase;
  font-size: 14px;
  width: 50%;
  padding: 10px 15px;
  border: none;
  margin-top: 16px;
}
#paper .details {
  padding-bottom: 100px;
}
#paper #rsvp {
  padding-bottom: 120px;
}
#paper .question__container {
  text-align: left;
}
#paper #question input {
  text-align: left;
}
#paper #clockdiv {
  display: flex;
  width: 90%;
  margin: auto;
  align-items: center;
  justify-content: center;
  gap: 20px;
}
#paper .timer__block-info {
  display: flex;
  flex-direction: column;
  align-items: center;
}
#paper .timer__block {
  background: var(--background-color);
  border-radius: 50%;
  width: 50px;
  height: 50px;
  color: white;
  line-height: 50px;
  font-size: 16px;
}
#paper .timer__text {
  text-transform: uppercase;
  font-size: 14px;
  padding-top: 10px;
}
#paper .footer__container {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
}
#paper .right-img-bg-footer {
  position: relative;
  z-index: -1;
}
#paper .footer-block-center {
  text-transform: uppercase;
  font-size: 32px;
  line-height: 120%;
  font-family: var(--beauty-font);
  position: absolute;
  text-align: center;
  margin: auto;
  left: 50%;
  bottom: 15px;
  transform: translate(-50%, 0px);
}
#paper .map-place {
  background: var(--background-color);
  padding: 10px;
  border-radius: 10px;
  margin: 20px auto 50px;
}
#paper iframe {
  width: 100%;
  border-radius: 10px;
  min-height: 300px;
}
#paper .info-place__text {
  margin-bottom: 5px;
}
#paper .question__text-mini {
  font-size: 12px;
}
#paper .question__label {
  display: flex;
  align-items: center;
  gap: 5px;
}
#paper .question__unvisible {
  display: none;
}
#paper .question__visible-radio {
  position: relative;
  display: inline-block;
  width: 16px;
  height: 16px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid var(--header-color);
  border-radius: 50%;
}
#paper .question__unvisible:checked + .question__visible-radio::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 12px;
  height: 12px;
  background-color: var(--background-color);
  border-radius: 50%;
}
#paper .question__visible-checkbox {
  position: relative;
  display: inline-block;
  width: 16px;
  height: 16px;
  vertical-align: middle;
  box-sizing: border-box;
  border: 1px solid var(--header-color);
}
#paper .question__unvisible:checked + .question__visible-checkbox::before {
  content: "✔";
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 12px;
  color: var(--background-color);
}
#paper #plan {
  padding-bottom: 50px;
}
#paper #dresscode_woman .dresscode_title_text,
#paper #dresscode_man .dresscode_title_text {
  margin-bottom: 0px;
  padding-top: 30px;
  font-size: 24px;
}
#paper #rsvp .rsvp-message {
  display: block;
  padding: 180px 0;
}

/* ---- Mobil qurilmalar uchun (max-width: 800px) ---- */
@media screen and (max-width: 800px) {
  #paper {
    font-size: 20px;
    line-height: 120%;
  }
  #paper .title_text,
  #paper .title_text-BG {
    font-size: 28px;
    line-height: 130%;
    font-weight: normal;
  }
  .timer-title{
    text-align: center;
    margin-bottom: 24px;
  }
  .timer__bloks {
    margin-top: 20px;
  }
  .timer__number span {
    font-size: 24px;
    text-align: center;
    margin: 0 auto;
    display: flex;
    justify-content: center;
  }
  #paper .descr_text {
    font-size: 16px;
    line-height: 140%;
  }
  #paper .descr_text-BG {
    font-size: 16px;
    line-height: 120%;
  }
  #paper .info-invitation {
    margin: 0 0px;
  }
  #paper iframe {
    min-height: 200px;
  }
  #paper .header-blocks-texts {
    height: 100vh;
    padding: 10vh 0;
  }
  #paper .header {
    height: 100vh;
  }
  #paper .footer-block-center {
    font-size: 24px;
  }
  #paper #rsvp {
    padding-bottom: 70px;
  }
  #paper .details {
    padding-bottom: 0px;
  }
  #paper .dresscode_common {
    padding: 30px 0 100px;
  }
  #paper .timetable__block-descr {
    font-size: 12px;
    line-height: 120%;
  }
  #paper #plan {
    padding-bottom: 0px;
  }
  #paper #dresscode_woman .dresscode_title_text,
  #paper #dresscode_man .dresscode_title_text {
    margin-bottom: 0px;
    padding-top: 30px;
    font-size: 24px;
  }
}
